ibus-chewing (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Bump compat to 12.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 05 Jan 2019 10:35:14 +0800

ibus-chewing (1.5.1-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Drop obsolete Build-Depends on libgconf2-dev (Closes: #894319)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 27 May 2018 16:19:48 +0800

ibus-chewing (1.5.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4.
    * Use https in Format in d/copyright.
  * Bump compat to 11.
  * Update Maintainer to new mailing list (Closes: #899544).
  * Update Vcs-* fields to salsa.debian.org.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 27 May 2018 16:16:06 +0800

ibus-chewing (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat to 10.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 19 Jun 2016 15:23:52 +0800

ibus-chewing (1.5.0-1) unstable; urgency=medium

  * new upstream release.
  * Bump Standards-Version to 3.9.8.
  * Remove upstream applied patches.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 06 May 2016 23:20:31 +0800

ibus-chewing (1.4.14-4) unstable; urgency=medium

  * Remove *-dbg package in favor of dbgsym.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 02 Jan 2016 01:38:58 +0800

ibus-chewing (1.4.14-3) unstable; urgency=medium

  * Use cmake-fedora 2.4.4+20151201 to avoid FTBFS caused by cmake-fedora.
  * Update maintainer email.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 05 Dec 2015 11:21:30 +0800

ibus-chewing (1.4.14-2) unstable; urgency=medium

  * Update Vcs-Browser
  * Update Homepage
  * Use copyright-format 1.0
  * Update d/watch

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Mon, 29 Jun 2015 19:10:59 +0800

ibus-chewing (1.4.14-1) unstable; urgency=medium

  * new upstream release.
  * Bump Standerds-Version to 3.9.6
  * Remove unused patch:
    * Use default XKB layout of the system
  * Remove duplicated copyright and changelog
  * Add new patches:
    * Fix format-security warnings
    * Fix Exec in desktop file
    * Fix typo

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Sat, 20 Jun 2015 14:02:59 +0800

ibus-chewing (1.4.10.1-2) unstable; urgency=medium

  * Use default XKB layout of the system (Closes: #752322)
  * Add debian/gbp.conf

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Sun, 22 Jun 2014 23:50:07 +0800

ibus-chewing (1.4.10.1-1) unstable; urgency=medium

  * new upstream release.
  * Update debian/watch

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Sun, 16 Feb 2014 19:58:51 +0800

ibus-chewing (1.4.7-2) unstable; urgency=medium

  * Fix dpkg-buildflags-missing
  * Add debug package ibus-chewing-dbg

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Fri, 24 Jan 2014 21:43:58 +0800

ibus-chewing (1.4.7-1) unstable; urgency=low

  * new upstream release.
  * Add make translations due to upstream changed.
  * Update po backup/restore mechanism.
  * Restore ChangeLog before install because it is modified during build
    process.

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Fri, 17 Jan 2014 20:09:14 +0800

ibus-chewing (1.4.4-1) unstable; urgency=low

  * new upstream release.
  * Update Vcs-Browser
  * Update debian/po-bak
  * Removed upstream-fixed CVE-2013-4509.patch
  * Removed 0003_fix_quote_me_replace_linux.patch

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Fri, 20 Dec 2013 20:14:22 +0800

ibus-chewing (1.4.3-5) unstable; urgency=low

  * Team upload.
  * Updated patch for CVE-2013-4509 from ChangZhuo Chen.

 -- Aron Xu <aron@debian.org>  Sun, 15 Dec 2013 18:09:28 +0800

ibus-chewing (1.4.3-4) unstable; urgency=high

  * CVE-2013-4509 (Closes: #730781)
  * Update debian/watch
  * Bump Standards-Version to 3.9.5

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Sat, 30 Nov 2013 21:49:05 +0800

ibus-chewing (1.4.3-3) unstable; urgency=low

  * CMAKE should be OK without FC19 patch.
  * Removed upstream-fixed unused patches.
  * Fix debian/rules for the hardened build, correctly.

 -- Osamu Aoki <osamu@debian.org>  Sat, 07 Sep 2013 10:33:50 +0900

ibus-chewing (1.4.3-2) experimental; urgency=low

  * Team upload.
  * cflags.patch from FC19.
  * Fix debian/rules for the hardened build.
  * Adjust libexecdir in line with other ibus packages.
  * Build with ibus 1.5.3-4.

 -- Osamu Aoki <osamu@debian.org>  Tue, 03 Sep 2013 00:08:40 +0900

ibus-chewing (1.4.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 10 Feb 2013 16:20:40 +0800

ibus-chewing (1.3.10+clean-3) unstable; urgency=low

  [ YunQiang Su ]
  * fix quote_me of LIBCHEWING_DATA_DIR.
  * back and restore po files.
  * don't remove Modules when auto_clean.
  * Rebuild to work with multiarched libchewing (Closese: #668540).

  [ Asias He ]
  * Bump Standards-Version to 3.9.3

 -- Asias He <asias.hejun@gmail.com>  Sat, 14 Apr 2012 16:19:51 +0800

ibus-chewing (1.3.10+clean-2) unstable; urgency=low

  * Fixed annoying pop-up when enabling IME, causing focus to change.
    Thanks Ruei-Yuan. Closes: #660863
  * Fixed FTBFS to sync with ibus 1.4.1.  Thanks Daisuke.
    Closes: #661618

 -- Osamu Aoki <osamu@debian.org>  Sun, 04 Mar 2012 00:49:22 +0900

ibus-chewing (1.3.10+clean-1) unstable; urgency=low

  * New upstream release.
  * All Debian patcheds dropped.
  * Add Osamu as uploaders.
  * Repackaged upstream tar with normal tar and removing .swo

 -- Osamu Aoki <osamu@debian.org>  Mon, 26 Dec 2011 00:17:58 +0900

ibus-chewing (1.3.9.2-3) unstable; urgency=low

  * Fix "ibus-chewing has annoying pop-up when enabling IME, causing
    focus to change" (Closes: #630331)

 -- Asias He <asias.hejun@gmail.com>  Tue, 06 Sep 2011 16:25:52 +0800

ibus-chewing (1.3.9.2-2) unstable; urgency=low

  * Fix "Cannot close candidate window with escape key since selected
    tone" (Closes: #619604)
  * Set Vcs to git.debian.org
  * Set DM-Upload-Allowed to yes

 -- Asias He <asias.hejun@gmail.com>  Mon, 28 Mar 2011 14:14:16 +0800

ibus-chewing (1.3.9.2-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/rules: delete /usr/share/doc/ibus-chewing-*/COPYING.gz

  [ LI Daobing ]
  * debian/rules: fix doc install place
  * debian/control: build depends on debhelper >= 7.0.50~
  * debian/docs: updated
  * debian/clean: updated

 -- LI Daobing <lidaobing@debian.org>  Sun, 05 Dec 2010 16:25:41 +0800

ibus-chewing (1.3.7.20100910-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/watch: use googlecode.debian.net

  [ LI Daobing ]
  * debian/rules: fix install path of gconf.
  * debian/clean: updated.
  * debian/control: build depends on rpm.

 -- LI Daobing <lidaobing@debian.org>  Mon, 13 Sep 2010 23:05:30 +0800

ibus-chewing (1.3.6.20100730-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/docs: removed NEWS.
  * debian/control: bump standards version to 3.9.1

 -- LI Daobing <lidaobing@debian.org>  Sat, 31 Jul 2010 22:20:38 +0800

ibus-chewing (1.3.5.20100706-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/control: bump standards version to 3.9.0

 -- LI Daobing <lidaobing@debian.org>  Thu, 08 Jul 2010 16:17:52 +0800

ibus-chewing (1.3.4.20100608-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.

 -- LI Daobing <lidaobing@debian.org>  Wed, 09 Jun 2010 23:46:47 +0800

ibus-chewing (1.3.4.20100605-1) unstable; urgency=low

  [ Asias He ]
  * debian/control:
    - set maintainer to pkg-ime, add LI Daobing <lidaobing@debian.org>
      & Asias He <asias.hejun@gmail.com> to uploaders.
    - update Vcs-* fields.
  * New upstream release.

  [ LI Daobing ]
  * debian/control: build depends on gob2 (>= 2.0.17)

 -- LI Daobing <lidaobing@debian.org>  Mon, 07 Jun 2010 21:25:30 +0800

ibus-chewing (1.2.99.20100317-2) unstable; urgency=low

  * move to unstable.

 -- LI Daobing <lidaobing@debian.org>  Sat, 03 Apr 2010 20:40:30 +0800

ibus-chewing (1.2.99.20100317-1) experimental; urgency=low

  * New upstream release.
  * debian/control: switch to ibus 1.3
  * debian/control: bump standards version to 3.8.4

 -- LI Daobing <lidaobing@debian.org>  Sun, 21 Mar 2010 18:58:05 +0800

ibus-chewing (1.2.0.20091211-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/binutils-gold.patch: removed.

 -- LI Daobing <lidaobing@debian.org>  Sat, 12 Dec 2009 23:02:33 +0800

ibus-chewing (1.2.0.20091002-1) unstable; urgency=low

  * new upstream release.
    - fix buffer doesn't get cleared when toggling ibus on/off (LP: #424171)
    - fix character selection window stays behind when toggling ibus off
      (LP: #424176)
  * convert package to 3.0 (quilt) format.
  * debian/rules: add --as-needed to ld flags.
  * debian/control:
    - build depends on libchewing3-dev >= 0.3.2-2~
    - depends on libchewing3 >= 0.3.2-2~
  * Fix "FTBFS with binutils-gold" (Closes: #554861)
    - debian/patches/binutils-gold.patch: added.

 -- LI Daobing <lidaobing@debian.org>  Sun, 22 Nov 2009 15:23:27 +0800

ibus-chewing (1.2.0.20090917-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Thu, 17 Sep 2009 19:06:19 +0800

ibus-chewing (1.2.0.20090831-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: clean more files.

 -- LI Daobing <lidaobing@debian.org>  Mon, 31 Aug 2009 19:55:44 +0800

ibus-chewing (1.2.0.20090818-2) unstable; urgency=low

  [ Loïc Minier ]
  * Bdep on libx11-dev per CMakeLists.txt.
  * Use $@ where possible in rules to avoid repetitions.
  * Add .PHONY.
  * Clean more files with debian/clean but not bin and po/CMakeFiles as these
    are dirs.
  * Define -DLIBEXEC_DIR=/usr/lib/ibus-chewing when calling cmake instead of
    mv-ing and sed-ing files.

  [ LI Daobing ]
  * debian/control: update Vcs-* fields.

 -- LI Daobing <lidaobing@debian.org>  Tue, 25 Aug 2009 19:49:24 +0800

ibus-chewing (1.2.0.20090818-1) unstable; urgency=low

  * new upstream release.
  * debian/control: bump standards version to 3.8.3
  * debian/clean: remove data/ibus-chewing.schemas

 -- LI Daobing <lidaobing@debian.org>  Mon, 24 Aug 2009 21:41:36 +0800

ibus-chewing (1.2.0.20090624-1) unstable; urgency=low

  * new upstream release.
  * debian/control:
    - build-depends: libibus-dev >= 1.2
    - depends: ibus >= 1.2
    - bump standards version to 3.8.2
  * debian/clean: updated
  * debian/rules: update clean rule.

 -- LI Daobing <lidaobing@debian.org>  Fri, 26 Jun 2009 23:41:31 +0800

ibus-chewing (1.0.10.20090523-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: use "dh clean"
  * debian/clean: added.
  * debian/copyright: (C) -> ©

 -- LI Daobing <lidaobing@debian.org>  Sat, 30 May 2009 13:20:34 +0800

ibus-chewing (1.0.9.20090508-0ubuntu1) karmic; urgency=low

  * new upstream release (LP: #375505)

 -- LI Daobing <lidaobing@debian.org>  Wed, 13 May 2009 21:52:49 +0800

ibus-chewing (1.0.8.20090428-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #312694)

 -- LI Daobing <lidaobing@debian.org>  Thu, 23 Apr 2009 20:08:05 +0800

ibus-chewing (1.0.7.20090414-1) unstable; urgency=low

  * Initial release (closes: #521629)

 -- LI Daobing <lidaobing@debian.org>  Thu, 23 Apr 2009 20:08:05 +0800
